Chromium Code Reviews
Help | Chromium Project | Sign in
(483)

Issue 17382007: Move IPC reception handling from AutofillManager to AutofillDriverImpl. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 2 months ago by blundell
Modified:
2 years, 2 months ago
CC:
chromium-reviews, Raman Kakilate, benquan, jam, ahutter, browser-components-watch_chromium.org, joi+watch-content_chromium.org, darin-cc_chromium.org, Dane Wallinga, dyu1, Albert Bodenhamer, estade+watch_chromium.org, Ilya Sherman, rouslan+autofillwatch_chromium.org, selim, benm (inactive)
Visibility:
Public.

Description

Move IPC reception handling from AutofillManager to AutofillDriverImpl. As AutofillManager will be shared by iOS, it should not receive IPC directly. Instead, AutofillDriverImpl now handles IPC reception and forwards to AutofillManager as appropriate. Similarly, this CL also abstracts the content-level concepts of handling frame navigation out of AutofillManager into AutofillDriverImpl. BUG=247015 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=207726

Patch Set 1 #

Patch Set 2 : Rebase to fix conflicts #

Patch Set 3 : Rebase after conflict #

Messages

Total messages: 7 (0 generated)
blundell
I am currently working on bringing up unit tests of AutofillDriverImpl for a follow-up CL.
2 years, 2 months ago (2013-06-18 16:20:58 UTC) #1
Ilya Sherman
LGTM. It would be great to update the documentation for all of these methods, and ...
2 years, 2 months ago (2013-06-18 23:44:42 UTC) #2
blundell
Agreed about the followup work re: updating documentation and reordering. Will do.
2 years, 2 months ago (2013-06-20 17:08:47 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/blundell@chromium.org/17382007/4001
2 years, 2 months ago (2013-06-20 17:11:43 UTC) #4
commit-bot: I haz the power
Commit queue failed due to new patchset.
2 years, 2 months ago (2013-06-20 22:28:37 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/blundell@chromium.org/17382007/4002
2 years, 2 months ago (2013-06-20 22:28:56 UTC) #6
commit-bot: I haz the power
2 years, 2 months ago (2013-06-21 06:04:49 UTC) #7
Message was sent while issue was closed.
Change committed as 207726
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld c33a7a4